# Uses of Interface
java.lang.classfile.FieldTransform

Packages that use FieldTransform
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of FieldTransform in java.lang.classfile

Subinterfaces with type arguments of type FieldTransform in java.lang.classfile
Modifier and Type
Interface
Description
`interface`
`FieldTransform`
A transformation on streams of `FieldElement`.
Fields in java.lang.classfile declared as FieldTransform
Modifier and Type
Field
Description
`static final FieldTransform`
FieldTransform.`ACCEPT_ALL`
A field transform that passes all elements to the builder.
Methods in java.lang.classfile that return FieldTransform
Modifier and Type
Method
Description
`default FieldTransform`
FieldTransform.`andThen(FieldTransform t)`
`static FieldTransform`
FieldTransform.`dropping(Predicate<FieldElement> filter)`
Creates a field transform that passes each element through to the builder, except for those that the supplied `Predicate` is true for.
`static FieldTransform`
FieldTransform.`endHandler(Consumer<FieldBuilder> finisher)`
Creates a field transform that passes each element through to the builder, and calls the specified function when transformation is complete.
`static FieldTransform`
FieldTransform.`ofStateful(Supplier<FieldTransform> supplier)`
Creates a stateful field transform from a `Supplier`.
Methods in java.lang.classfile with parameters of type FieldTransform
Modifier and Type
Method
Description
`default FieldTransform`
FieldTransform.`andThen(FieldTransform t)`
`ClassBuilder`
ClassBuilder.`transformField(FieldModel field, FieldTransform transform)`
Adds a field by transforming a field from another class.
`static ClassTransform`
ClassTransform.`transformingFields(FieldTransform xform)`
Creates a class transform that transforms `FieldModel` elements with the supplied field transform, passing other elements through to the builder.
Method parameters in java.lang.classfile with type arguments of type FieldTransform
Modifier and Type
Method
Description
`static FieldTransform`
FieldTransform.`ofStateful(Supplier<FieldTransform> supplier)`
Creates a stateful field transform from a `Supplier`.